<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <groupId>com.qmth.themis</groupId>
    <artifactId>themis-service</artifactId>
    <version>1.2.4</version>
    <packaging>pom</packaging>

    <modules>
        <module>themis-common</module>
        <module>themis-admin</module>
        <module>themis-business</module>
        <module>themis-exam</module>
        <module>themis-mq</module>
        <module>themis-task</module>
    </modules>

    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>2.3.0.RELEASE</version>
    </parent>

    <properties>
        <java.version>1.8</java.version>
        <project.version>1.0.0</project.version>
        <swagger2.version>2.9.2</swagger2.version>
        <logback.version>1.2.3</logback.version>
        <fastjson.version>1.2.68</fastjson.version>
        <druid.version>1.1.20</druid.version>
        <fileupload.version>1.4</fileupload.version>
        <poi.version>3.17</poi.version>
        <aliyun.version>3.8.1</aliyun.version>
        <guava.version>27.1-jre</guava.version>
        <mysql.version>8.0.20</mysql.version>
        <hutool.version>5.0.6</hutool.version>
        <bcprov.version>1.52</bcprov.version>
        <redis.version>3.3.0</redis.version>
        <rocket.version>2.1.0</rocket.version>
        <mybatis-plus.version>3.4.2</mybatis-plus.version>
        <spring-boot.version>2.3.0.RELEASE</spring-boot.version>
        <gson.version>2.8.6</gson.version>
        <commons.version>3.10</commons.version>
        <commons.codec.version>1.15</commons.codec.version>
        <jackson.version>2.11.0</jackson.version>
        <!--        <ehcache.version>2.10.6</ehcache.version>-->
        <swagger2-bootstrap.version>1.9.6</swagger2-bootstrap.version>
        <jetbrains.version>13.0</jetbrains.version>
        <tencentyun.version>1.1</tencentyun.version>
        <tencentyun.sdk.version>3.1.322</tencentyun.sdk.version>
        <version-plugin.version>2.8.1</version-plugin.version>
        <googleBar.version>3.4.0</googleBar.version>
        <ip2region.version>2.6.5</ip2region.version>
        <qmth.boot.version>1.0.3</qmth.boot.version>
        <jave-all-deps.version>3.3.1</jave-all-deps.version>
        <httpmime.version>4.5.13</httpmime.version>
    </properties>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>com.qmth.themis.common</groupId>
                <artifactId>themis-common</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.qmth.themis.business</groupId>
                <artifactId>themis-business</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.qmth.themis.mq</groupId>
                <artifactId>themis-mq</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-dependencies</artifactId>
                <version>${spring-boot.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            <dependency>
                <groupId>mysql</groupId>
                <artifactId>mysql-connector-java</artifactId>
                <version>${mysql.version}</version>
            </dependency>
            <dependency>
                <groupId>com.baomidou</groupId>
                <artifactId>mybatis-plus-boot-starter</artifactId>
                <version>${mybatis-plus.version}</version>
            </dependency>
            <dependency>
                <groupId>ch.qos.logback</groupId>
                <artifactId>logback-core</artifactId>
                <version>${logback.version}</version>
            </dependency>
            <dependency>
                <groupId>ch.qos.logback</groupId>
                <artifactId>logback-classic</artifactId>
                <version>${logback.version}</version>
            </dependency>
            <dependency>
                <groupId>io.springfox</groupId>
                <artifactId>springfox-swagger2</artifactId>
                <version>${swagger2.version}</version>
            </dependency>
            <!--            <dependency>-->
            <!--                <groupId>com.github.xiaoymin</groupId>-->
            <!--                <artifactId>swagger-bootstrap-ui</artifactId>-->
            <!--                <version>${swagger2-bootstrap.version}</version>-->
            <!--            </dependency>-->
            <dependency>
                <groupId>io.springfox</groupId>
                <artifactId>springfox-swagger-ui</artifactId>
                <version>${swagger2.version}</version>
            </dependency>
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>druid</artifactId>
                <version>${druid.version}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.commons</groupId>
                <artifactId>commons-lang3</artifactId>
                <version>${commons.version}</version>
            </dependency>
            <dependency>
                <groupId>commons-codec</groupId>
                <artifactId>commons-codec</artifactId>
                <version>${commons.codec.version}</version>
            </dependency>
            <dependency>
                <groupId>com.google.code.gson</groupId>
                <artifactId>gson</artifactId>
                <version>${gson.version}</version>
            </dependency>
            <dependency>
                <groupId>com.google.guava</groupId>
                <artifactId>guava</artifactId>
                <version>${guava.version}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.poi</groupId>
                <artifactId>poi-ooxml</artifactId>
                <version>${poi.version}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.poi</groupId>
                <artifactId>poi-ooxml-schemas</artifactId>
                <version>${poi.version}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.poi</groupId>
                <artifactId>poi</artifactId>
                <version>${poi.version}</version>
            </dependency>
            <dependency>
                <groupId>commons-fileupload</groupId>
                <artifactId>commons-fileupload</artifactId>
                <version>${fileupload.version}</version>
            </dependency>
            <dependency>
                <groupId>com.aliyun.oss</groupId>
                <artifactId>aliyun-sdk-oss</artifactId>
                <version>${aliyun.version}</version>
            </dependency>
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>fastjson</artifactId>
                <version>${fastjson.version}</version>
            </dependency>
            <dependency>
                <groupId>com.fasterxml.jackson.core</groupId>
                <artifactId>jackson-core</artifactId>
                <version>${jackson.version}</version>
            </dependency>
            <dependency>
                <groupId>com.fasterxml.jackson.core</groupId>
                <artifactId>jackson-annotations</artifactId>
                <version>${jackson.version}</version>
            </dependency>
            <dependency>
                <groupId>com.fasterxml.jackson.core</groupId>
                <artifactId>jackson-databind</artifactId>
                <version>${jackson.version}</version>
            </dependency>
            <dependency>
                <groupId>cn.hutool</groupId>
                <artifactId>hutool-all</artifactId>
                <version>${hutool.version}</version>
            </dependency>
            <!-- aes PKCS7 -->
            <dependency>
                <groupId>org.bouncycastle</groupId>
                <artifactId>bcprov-jdk15on</artifactId>
                <version>${bcprov.version}</version>
            </dependency>
            <!-- redis -->
            <dependency>
                <groupId>org.springframework.data</groupId>
                <artifactId>spring-data-redis</artifactId>
                <version>${spring-boot.version}</version>
            </dependency>
            <dependency>
                <groupId>redis.clients</groupId>
                <artifactId>jedis</artifactId>
                <version>${redis.version}</version>
            </dependency>
            <!-- ehcache 缓存 -->
            <!--            <dependency>-->
            <!--                <groupId>net.sf.ehcache</groupId>-->
            <!--                <artifactId>ehcache</artifactId>-->
            <!--                <version>${ehcache.version}</version>-->
            <!--            </dependency>-->
            <!-- rocketmq -->
            <dependency>
                <groupId>org.apache.rocketmq</groupId>
                <artifactId>rocketmq-spring-boot-starter</artifactId>
                <version>${rocket.version}</version>
            </dependency>
            <!-- mongodb -->
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-starter-data-mongodb</artifactId>
                <version>${spring-boot.version}</version>
            </dependency>
            <!--websocket-->
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-starter-websocket</artifactId>
                <version>${spring-boot.version}</version>
            </dependency>
            <!--quartz-->
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-starter-quartz</artifactId>
                <version>${spring-boot.version}</version>
            </dependency>
            <!--elasticsearch-->
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-starter-data-elasticsearch</artifactId>
                <version>${spring-boot.version}</version>
            </dependency>
            <dependency>
                <groupId>org.jetbrains</groupId>
                <artifactId>annotations</artifactId>
                <version>${jetbrains.version}</version>
                <scope>compile</scope>
            </dependency>
            <dependency>
                <groupId>com.github.tencentyun</groupId>
                <artifactId>tls-sig-api-v2</artifactId>
                <version>${tencentyun.version}</version>
            </dependency>
            <dependency>
                <groupId>com.tencentcloudapi</groupId>
                <artifactId>tencentcloud-sdk-java</artifactId>
                <version>${tencentyun.sdk.version}</version>
            </dependency>
            <dependency>
                <groupId>org.lionsoul</groupId>
                <artifactId>ip2region</artifactId>
                <version>${ip2region.version}</version>
            </dependency>
            <dependency>
                <groupId>com.qmth.boot</groupId>
                <artifactId>core-solar</artifactId>
                <version>${qmth.boot.version}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.httpcomponents</groupId>
                <artifactId>httpmime</artifactId>
                <version>${httpmime.version}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <dependencies>
        <!-- 默认依赖测试JAR -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
                <configuration>
                    <skip>true</skip>
                    <skipTests>true</skipTests>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.codehaus.mojo</groupId>
                <artifactId>versions-maven-plugin</artifactId>
                <version>${version-plugin.version}</version>
                <configuration>
                    <generateBackupPoms>false</generateBackupPoms>
                </configuration>
            </plugin>
        </plugins>
    </build>

</project>
